Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class SwingTreeNodeImpl<T>

    java.lang.Object
      org.richfaces.model.SwingTreeNodeImpl<T>

All Implemented Interfaces:
  java.io.Serializable, javax.swing.tree.TreeNode

    public class SwingTreeNodeImpl<T>

extends java.lang.Object
implements javax.swing.tree.TreeNode, java.io.Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`SwingTreeNodeImpl()`
`SwingTreeNodeImpl(java.util.Collection<javax.swing.tree.TreeNode> children)`

Method Summary
`void` | `addChild(javax.swing.tree.TreeNode node)`
`java.util.Enumeration<?>` | `children()`
`boolean` | `getAllowsChildren()`
`javax.swing.tree.TreeNode` | `getChildAt(int childIndex)`
`int` | `getChildCount()`
`java.util.Collection<javax.swing.tree.TreeNode>` | `getChildrenList()`
`T` | `getData()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`javax.swing.tree.TreeNode` | `getParent()`
`boolean` | `isLeaf()`
`void` | `removeChild(javax.swing.tree.TreeNode node)`
`void` | `setData(T data)`
`void` | `setParent(javax.swing.tree.TreeNode parent)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwingTreeNodeImpl

    public SwingTreeNodeImpl()

### SwingTreeNodeImpl

    public SwingTreeNodeImpl(java.util.Collection<javax.swing.tree.TreeNode> children)

Method Detail

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`

### setParent

    public void setParent(javax.swing.tree.TreeNode parent)

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`

### addChild

    public void addChild(javax.swing.tree.TreeNode node)

### removeChild

    public void removeChild(javax.swing.tree.TreeNode node)

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`

### children

    public java.util.Enumeration<?> children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`

### getData

    public T getData()

### setData

    public void setData(T data)

### getChildrenList

    public java.util.Collection<javax.swing.tree.TreeNode> getChildrenList()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.